# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "stim"
version = "0.4.3"
authors = ["Yiming Zhang <quantuminm@gmail.com>"]
build = false
include = [
    "src/**",
    "Cargo.toml",
    "README.md",
]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Safe Rust bindings for Stim, a high-performance stabilizer circuit simulator and analyzer"
documentation = "https://docs.rs/stim"
readme = "README.md"
keywords = [
    "quantum",
    "stim",
    "stabilizer",
    "qec",
    "bindings",
]
categories = [
    "api-bindings",
    "simulation",
    "science",
]
license = "Apache-2.0"
repository = "https://github.com/inmzhang/stim-rs"

[package.metadata.docs.rs]
default-target = "x86_64-unknown-linux-gnu"
targets = []

[lib]
name = "stim"
path = "src/lib.rs"

[dependencies.cxx]
version = "1.0"

[dependencies.ndarray]
version = "0.17.2"

[dependencies.num-complex]
version = "0.4.6"

[dependencies.stim-cxx]
version = "0.4.3"
